import * as React from 'react';
import { Coloring, DefaultProps, Tooltip } from '../common-types';
export interface DropDownButtonProps extends DefaultProps, Coloring, Tooltip {
    disabled?: boolean;
    label?: JSX.Element;
    border?: boolean;
    joined?: boolean;
    outline?: boolean;
    alignRight?: boolean;
    noListFormat?: boolean;
    maxHeight?: string | number;
}
declare const _default: React.ComponentClass<DropDownButtonProps, any>;
export default _default;
