/// <reference types="react" />
import { DefaultProps, Tooltip } from '../common-types';
export interface FlexProps extends BoxProps {
    align?: string | string[];
    justify?: string | string[];
    flexDirection?: string | string[];
    wrap?: boolean | boolean[] | string;
}
export interface BoxProps extends DefaultProps, Tooltip {
    flex?: string | string[];
    order?: number | string | Array<number | string>;
}
export declare const Flex: import("react").ComponentClass<FlexProps, any>;
export declare const Box: import("react").ComponentClass<BoxProps, any>;
